## Example vxWorks startup file

## The following is needed if your board support package doesn't at boot time
## automatically cd to the directory containing its startup script
#cd "~iocBoot/iocpss03"

< cdCommands
< ../nfsCommands
< ../envParams

cd topbin

## You may have to change iocpss13bm to something else
## everywhere it appears in this file
ld 0,0,"pss.munch"

## Register all support components
cd top
dbLoadDatabase "dbd/pss.dbd"
pss_registerRecordDeviceDriver pdbbase

## Load record instances
dbLoadRecords "db/abinit.db","L=1,xx=03,yy=ID,NT=8"
dbLoadRecords "db/GE_Fanuc.vdb", "P=PB:,R=03ID:,link=L2"
dbLoadRecords "db/03ID.db", "P=PB:,R=03ID:,xx=03,yy=ID"

#cd asyn
dbLoadRecords("db/asynRecord.db","P=PB:,R=03ID:asyn,PORT=L2,ADDR=0,OMAX=0,IMAX=0")

# Initialize the drvIpac carrier.
# -------------------------------
ipacAddVIPC616_01 "0x6000,0xB0000000"

# Allocate the number of tyGSOctal modules to support.
# ----------------------------------------------------
tyGSOctalDrv(1)

# Initialize IP Octal modules.
# ----------------------------
# tyGSOctalModuleInit(char *moduleID, char *ModuleType, int irq_num,
#                     char *carrier#, int slot#)
#   moduleID   - assign the IP module a name for future reference. 
#   ModuleType - "232", "422", or "485".
#   irq_num    - interrupt request number.
#   carrier#   - carrier# assigned from the ipacAddCarrierType() call.
#   slot#      - slot number on carrier; slot[A,B,C,D] -> slot#[0,1,2,3].

# Init the IP-Octal module for the SBS VIPC616_01 carrier
# The module is in slot A
tyGSOctalModuleInit("Mod0", "232", 0x82, 0, 0)

# Create tty devices
# ------------------
# tyGSOctalDevCreate(char *portname, int moduleID, int port#, int rdBufSize,
#                    int wrtBufSize)
#   portname   - assign the port a name for future reference.
#   moduleID   - moduleID from the tyGSOctalModuleInit() call.
#   port#      - port number for this module [0-7].
#   rdBufSize  - read buffer size, in bytes.
#   wrtBufSize - write buffer size, in bytes.
tyGSOctalDevCreate("/tyGS/0/0","Mod0",0,1000,1000)
tyGSOctalDevCreate("/tyGS/0/1","Mod0",1,1000,1000)

# Configure the ports
# --------------------
# void tyGSOctalConfig (char *portname, int baud, char parity, int stop,
#                       int bits, char flow)
#   portname - portname from either the tyGSOctalDevCreate() call or
#              the tyGSOctalDevCreateAll() call.
#   baud     - baudrate; 1200,2400,4800,9600,19200,38400.
#   parity   - even - 'E', odd - 'O', or none - 'N'.
#   stop     - stop bits; 1 or 2.
#   bits     - data bits; 5,6,7 or 8.
#   flow     - flow control; hardware - 'H' or none - 'N'.
tyGSOctalConfig "/tyGS/0/0", 19200, 'N', 1, 8, 'N'
tyGSOctalConfig "/tyGS/0/1", 19200, 'N', 1, 8, 'N'

drvAsynSerialPortConfigure("L1","/tyGS/0/0",0,0)
asynSetOption("L1",-1, "baud","19200")
asynSetTraceIOMask("L1",0,0x2)
asynSetTraceMask("L1",0,0x1)

drvAsynSerialPortConfigure("L2","/tyGS/0/1",0,0)
asynSetOption("L2",-1, "baud","19200")
asynSetTraceIOMask("L2",0,0x2)
asynSetTraceMask("L2",0,0x1)

cd startup
# Configure A&B scanner
abConfigNlinks(2)

# link 1 = 03-ID

abConfigVme(0,0xc00000,0x70,5)
abConfigVme(0,0xc00000,0x71,5)

# Set Baud rate on link 0-5 to 115 kb.
abConfigBaud(0,1)
abConfigBaud(1,1)

abConfigScanListAscii(0,"abConfigLink0",0)
abConfigScanListAscii(1,"abConfigLink1",0)

taskDelay(60)

#--------------------------------
# load the ioc status database
#!cd asdstdbin
#< asdstdPreInit
#--------------------------------

cd startup
iocInit

dbpf "PA:03ID:dcm.DLY","0.15"

#===================================================================
# The following lines save ioc statistical information to disk

#!cd asdstdbin
#< asdstdPostInit

cd startup
#===================================================================
